ru.bitel.bgbilling.plugins.bonus.common.bean

## Class BonusCharge

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
    - - ru.bitel.bgbilling.plugins.bonus.common.bean.BonusCharge

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class BonusCharge
      extends AbstractBonusBalanceBean

  Бонусный расход.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

      `date, dateString, sum, typeId`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonusCharge()`
    `BonusCharge(int id, java.util.Date date, java.math.BigDecimal sum, int contractChargeId)` Клиентский конструктор.
    `BonusCharge(int id, java.util.Date date, int typeId, java.math.BigDecimal sum, int contractChargeId)` Серверный конструктор.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractChargeId()`
    `void` | `setContractChargeId(int contractChargeId)`

    - ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

      `getDate, getDateString, getSum, getTypeId, setDate, setDateString, setSum, setTypeId, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BonusCharge

          public BonusCharge()

    - #### BonusCharge

          public BonusCharge(int id,
                             java.util.Date date,
                             int typeId,
                             java.math.BigDecimal sum,
                             int contractChargeId)

      Серверный конструктор.
      Parameters:
        `id` - - ид бонусного расхода, при создании = 0
        `date` - - дата
        `typeId` - - тип расхода договора( у бонусных расходов нет своего справочника типов )
        `sum` - - сумма бонусного расхода.
        `contractChargeId` - - ид расхода договора( бонусные расходы не могут быть сами по себе, они всегда привязаны к расходу договора )

    - #### BonusCharge

          public BonusCharge(int id,
                             java.util.Date date,
                             java.math.BigDecimal sum,
                             int contractChargeId)

      Клиентский конструктор.

  - ### Method Detail

    - #### getContractChargeId

          public int getContractChargeId()

    - #### setContractChargeId

          public void setContractChargeId(int contractChargeId)